package com.huatek.busi.service.transformer;

import com.huatek.busi.dto.HomeSearchDto;
import com.huatek.busi.vo.CwzzTemperatureStatisticsVo;
import com.huatek.busi.vo.HomeActualVo;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;
import java.util.Map;

/**
 * 测温装置——测温装置： 电缆028006、变压器021013  CwzzTemperature
 */
public interface CwzzTemperatureService {

    CwzzTemperatureStatisticsVo getListEquInfo(String cacMonitorTypeCode, LocalDate day, String sensorCode);
    List<Map<String,Object>> queryHistory(String sensorCode,LocalDateTime startTime,LocalDateTime endTime);

    HomeActualVo queryActual(HomeSearchDto param);

    List<HomeActualVo> queryActuals();
}
